| acdvalid

## Function

ACD file validation

## Description

Acdvalid processes the ACD file for an EMBOSS program and reports any errors or warnings caused by incorrect, deprecated or obsolete syntax.

Acdvalid does not have its own command line. Instead, it will run the command line of any EMBOSS program by reading its ACD file and processing the command line and user responses in exactly the same way as the true program.

Acdvalid uses a very simple method. The first command line parameter is the name of the EMBOSS program to be compiled. All other command line parameters and qualifiers are processed by that program's ACD file.

## Usage

Here is a sample session with acdvalid

    % acdvalid antigenic

## Command line arguments

The first parameter is the name of the program to compile. All other command line parameters and qualifiers are defined for that program - see the documentation for the program of choice.

## Output file format

The output file is empty, but any format available to the specified program can be used.

## Data files

Acdvalid will use any data files specified in the ACD file of the specified program, but will ignore any data files that are only used directly by the program's code.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

## References

## Warnings

None.

## Diagnostic Error Messages

## Exit status

It exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
acdc | ACD compiler
acdpretty | ACD pretty printing utility
acdtable | Creates an HTML table from an ACD file
acdtrace | ACD compiler on-screen trace

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Written 2004

## Target users

This program is intended to be used by developers of applications and interfaces.

## Comments

None